# Interface methods for submodule: TransformFileWriterTemplate
from typing import Union, Any
# additional imports
from .support.template_class import itkTemplate as _itkTemplate
from ._proxies import LightProcessObjectProxy as _LightProcessObjectProxy


# Interface methods for class: TransformFileWriterTemplate
class TransformFileWriterTemplateProxy(_LightProcessObjectProxy):
	@staticmethod
	def New():
		""""""
		...

	def Clone(self):
		""""""
		...

	def GetNameOfClass(self):
		""""""
		...

	@overload
	def SetFileName(self, _arg) -> None:
		""""""
		...

	@overload
	def SetFileName(self, _arg: str) -> None:
		""""""
		...

	def GetFileName(self):
		""""""
		...

	def SetAppendOff(self) -> None:
		""""""
		...

	def SetAppendOn(self) -> None:
		""""""
		...

	def GetAppendMode(self) -> bool:
		""""""
		...

	def SetAppendMode(self, _arg: bool) -> None:
		""""""
		...

	def AppendModeOn(self) -> None:
		""""""
		...

	def AppendModeOff(self) -> None:
		""""""
		...

	def SetUseCompression(self, _arg: bool) -> None:
		""""""
		...

	def GetUseCompression(self) -> bool:
		""""""
		...

	def UseCompressionOn(self) -> None:
		""""""
		...

	def UseCompressionOff(self) -> None:
		""""""
		...

	def SetInput(self, transform) -> None:
		""""""
		...

	def GetInput(self):
		""""""
		...

	def AddTransform(self, transform) -> None:
		""""""
		...

	def Update(self) -> None:
		""""""
		...

	def SetTransformIO(self, _arg) -> None:
		""""""
		...

	def GetTransformIO(self):
		""""""
		...

